#pragma once

#include <QtWidgets/QDialog>
#include <QFileDialog>
#include <QMetaType>
#include <QDialog>
#include <QDebug>
#include <QObject>
#include <QMessageBox> 
#include <QPushButton>
#include <QString>
#include <QThread>
#include <QVector>
#include <QIntValidator>

#include "ui_DEM_GeneVec.h"
#include "ThreadObject.h"
#include "SrsMainPluginInterFace.h"

#include "gdal_priv.h"
//#include "gdal_alg_priv.h"

class TrainMoudle : public SrsMainInterface
{
	Q_OBJECT
		Q_INTERFACES(SrsMainInterface)
		Q_PLUGIN_METADATA(IID MainInterface_iid)

public:
    TrainMoudle();
	~TrainMoudle();

	virtual QString PannelName() override;
	virtual QString CategoryName() override;

	virtual QString EnglishName() override;
	virtual QString ChineseName() override;
	virtual QString Information() override;
	virtual QString IconPath() override;
	virtual QWidget* CenterWidget() override;

	void startWorkThread();

	//jsonļȡʷ洢·
	void ReadConfigHistoryPaths(QString strPath);
	//汾δ򿪵·jsonļ
	void WriteConfigPaths(QString strPath);

	QStringList getAllFiles(QString path, QString fileType);

public slots:
	void choseInModel();
	void choseInDom();
	void choseInDsm();
	void choseInLabel();
	void choseOutModel();

	void addMap();
	//pushbutton_OK
	void readAndStart();
	void pbCancel();

signals:
	void start(QString inModel, QString dom, QString dsm, QString label, QString outModel, bool mid, bool train, QString epoch1, QString epoch2);
	void killChildThread();

private:
    Ui::DEM_GeneVecClass ui;

	QDialog* myWidget = nullptr;

	WorkThreadObject* mWorkObject = nullptr;

	QThread* mThread = nullptr;

	bool executeMid = true;
	bool executeTrain = true;

};
